Skip to main content
GET
/
api
/
v1
/
models
List models
curl --request GET \
  --url https://api.myrouter.example/api/v1/models \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "pricing": {
        "prompt": "<string>",
        "completion": "<string>",
        "request": "<string>",
        "image": "<string>",
        "web_search": "<string>",
        "internal_reasoning": "<string>",
        "input_cache_read": "<string>",
        "input_cache_write": "<string>"
      },
      "name": "<string>",
      "description": "<string>",
      "context_length": 123,
      "architecture": {},
      "top_provider": {},
      "supported_parameters": [
        "<string>"
      ]
    }
  ],
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-request-id
string

Optional caller request id.

Query Parameters

category
string

Optional public category filter.

endpoint
string

Optional endpoint filter.

q
string

Optional search query.

Response

List models response.

data
object[]
required

Visible model list.

request_id
string

Request id.